#!/usr/bin/env kjscmd

var d = new DCOPClient();

if ( d.attach())
{
	println("Attached...");
	if( d.isAttached() )
	{
		var app = d.dcopStart("kwrite");
		if( app != ""  )
		{
			println( "Got ref");
			var worked = d.send(app, "EditInterface#1","setText(TQString)", "This is a test");
			println("Returned a : " + worked);
		}
		else
			println( "Error: no appname returned." );

	}
	else
		println( "Error!" )
}
else
	println("Failed...");

println( "Done" );
